万物迁移-服装模式-查询任务
curl --request GET \
--url https://leapx-hub.com/prod-api/nebula/v4/api/dressingv4Qurey \
--header 'Authorization: <authorization>'import requests
url = "https://leapx-hub.com/prod-api/nebula/v4/api/dressingv4Qurey"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://leapx-hub.com/prod-api/nebula/v4/api/dressingv4Qurey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "操作成功",
"data": {
"status": "DONE",
"resp_data": "{\"code\": 0, \"data\": {\"image_url\": \"https://example.com/generated-image.jpg\"}}"
}
}
万物迁移
万物迁移-服装模式-查询任务
GET
/
prod-api
/
nebula
/
v4
/
api
/
dressingv4Qurey
万物迁移-服装模式-查询任务
简介
查询万物迁移-服装模式任务的状态和结果。认证
string
必填
Bearer Token,如
Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...
获取方法:依照左侧最上面认证模块的post接口获取,https://docs.leapx-hub.com/cn/leapx-lab-v4/endpoint/get-token请求参数
string
必填
任务ID
示例代码
- cURL示例
- Python示例
curl -X GET "https://leapx-hub.com/prod-api/nebula/v4/api/dressingv4Qurey?taskId=task-1234567890" \
-H "Authorization: Bearer sk-xxxxxxxxxx"
import requests
url = "https://leapx-hub.com/prod-api/nebula/v4/api/dressingv4Qurey"
headers = {
"Authorization": "Bearer sk-xxxxxxxxxx"
}
params = {
"taskId": "task-1234567890"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
响应示例
{
"code": 200,
"msg": "操作成功",
"data": {
"status": "DONE",
"resp_data": "{\"code\": 0, \"data\": {\"image_url\": \"https://example.com/generated-image.jpg\"}}"
}
}
⌘I
